atom feed4 messages in com.redhat.epel-devel-list[EPEL-devel] Re: How to clean up EPEL...
FromSent OnAttachments
Stephen John SmoogenAug 24, 2017 3:16 pm 
Peter RobinsonAug 25, 2017 1:53 am 
Till MaasAug 25, 2017 1:55 am 
Dan CallaghanAug 25, 2017 5:58 am 
Subject:[EPEL-devel] Re: How to clean up EPEL 7 broken repoclosure
From:Peter Robinson (pbro@gmail.com)
Date:Aug 25, 2017 1:53:04 am
List:com.redhat.epel-devel-list

On Thu, Aug 24, 2017 at 11:16 PM, Stephen John Smoogen <smo@gmail.com> wrote:

So with CentOS-7 CR updated to 7.4 I did a repoclosure of our current repository. Various packages are needing items which are neither in CentOS or EPEL. The most needed requirements are:

2 librados2-devel = 1:0.80.7 2 libxfce4util.so.6()(64bit) 2 libzmq.so.4()(64bit) 2 nautilus-python 7 nodejs(abi) = 0:0.10 7 nodejs(v8-abi) = 0:3.14 2 python-musicbrainzngs >= 0:0.4 2 python-paste-script 4 python-rados = 1:0.80.7 3 python-rbd = 1:0.80.7

Including epel-testing did not help as it just added more packages which are without requirements. 7 golang(github.com/stretchr/testify/assert) 10 golang(golang.org/x/net/context) 3 golang(golang.org/x/net/context/ctxhttp) 2 golang(golang.org/x/net/http2) 2 golang(golang.org/x/net/http2/hpack) 4 librados2-devel = 1:0.80.7 2 librbd1-devel = 1:0.80.7 2 libxfce4util.so.6()(64bit) 2 libzmq.so.4()(64bit) 7 nodejs(abi) = 0:0.10 7 nodejs(v8-abi) = 0:3.14 2 python-docker-squash >= 0:1.0.0-0.3 2 python-musicbrainzngs >= 0:0.4 2 python-oslo-config 3 python-oslo-utils 3 python-paste-script 8 python-rados = 1:0.80.7 6 python-rbd = 1:0.80.7

There are a lot of

The 79 packages with problems are

TurboGears-1.1.3-8.el7.noarch airinv-1.00.1-2.el7.x86_64 banshee-2.6.2-11.el7.x86_64 beets-1.4.3-2.el7.noarch beets-plugins-1.4.3-2.el7.noarch bionetgen-2.2.5-2.el7.x86_64 blender-2.68a-6.el7.x86_64 ceph-0.80.7-0.8.el7.x86_64 ceph-0.80.7-0.9.el7.x86_64 ceph-common-0.80.7-0.8.el7.x86_64 ceph-common-0.80.7-0.9.el7.x86_64 ceph-devel-compat-0.80.7-0.8.el7.x86_64 ceph-devel-compat-0.80.7-0.9.el7.x86_64 claws-mail-plugins-vcalendar-3.11.1-5.el7.x86_64 dragonegg-3.4-5.el7.x86_64 golang-github-aws-aws-sdk-go-devel-1.4.22-0.1.git6c577e9.el7.noarch golang-github-cockroachdb-cmux-devel-0-0.4.git112f050.el7.noarch golang-github-cockroachdb-cmux-unit-test-devel-0-0.4.git112f050.el7.x86_64 golang-github-golang-appengine-devel-0-0.9.git6a43653.el7.noarch golang-github-grpc-ecosystem-grpc-gateway-devel-1.0.0-0.2.gitf52d055.el7.noarch golang-github-grpc-grpc-go-devel-1.0.0-0.2.git231b4cf.el7.noarch golang-github-hashicorp-go-sockaddr-devel-0-0.2.gitaf174a6.el7.noarch golang-github-jmespath-go-jmespath-unit-test-devel-0.2.2-0.1.gitbd40a43.el7.x86_64 golang-github-lsegal-gucumber-devel-0-0.5.git71608e2.el7.noarch golang-github-smartystreets-assertions-devel-1.6.0-0.3.git287b434.el7.noarch golang-github-spf13-cast-unit-test-0-0.6.gite31f36f.el7.x86_64 golang-github-spf13-jWalterWeatherman-unit-test-0-0.6.git33c24e7.el7.x86_64 golang-github-spf13-viper-devel-0-0.7.git1699063.el7.noarch golang-github-spf13-viper-unit-test-0-0.7.git1699063.el7.x86_64 golang-github-stretchr-objx-devel-0-0.8.gitcbeaeb1.el7.noarch golang-github-xeipuuv-gojsonschema-unit-test-devel-0-0.1.gitd5336c7.el7.x86_64 golang-golangorg-crypto-devel-0-0.13.git81372b2.el7.noarch golang-golangorg-oauth2-devel-0-0.18.git1364adb.el7.noarch golang-google-golang-api-devel-0-0.16.gite6294e6.el7.noarch golang-google-golangorg-cloud-devel-0-0.10.git872c736.el7.noarch golang-googlecode-go-crypto-devel-0-0.13.git81372b2.el7.noarch gramps-3.4.8-1.el7.noarch hdf5-mpich-devel-1.8.12-9.el7.x86_64 jabber-roster-0.1.1-7.el7.noarch libcephfs1-devel-0.80.7-0.8.el7.x86_64 libcephfs1-devel-0.80.7-0.9.el7.x86_64 libxfcegui4-4.10.0-5.el7.x86_64 mod_cluster-java-tomcat8-1.3.3-10.el7.noarch modularity-testing-framework-0.5.1-2.el7.noarch nodejs-bson-0.2.9-1.el7.x86_64 nodejs-follow-0.11.4-2.el7.noarch nodejs-fs-ext-0.4.2-2.el7.x86_64 nodejs-i18n-transform-2.1.3-1.el7.noarch nodejs-i2c-0.1.4-9.el7.x86_64 nodejs-libxmljs-0.9.0-1.el7.x86_64 nodejs-node-expat-2.1.4-5.el7.x86_64 nodejs-node-stringprep-0.2.3-5.el7.x86_64 nodejs-pg-0.12.3-2.el7.x86_64 notify-sharp3-3.0.3-2.el7.x86_64 psad-2.4.3-4.el7.x86_64 python-atomic-reactor-1.6.17-1.el7.noarch python-atomic-reactor-1.6.23.2-1.el7.noarch python-ceph-compat-0.80.7-0.8.el7.x86_64 python-ceph-compat-0.80.7-0.9.el7.x86_64 python-cephfs-0.80.7-0.8.el7.x86_64 python-cephfs-0.80.7-0.9.el7.x86_64 python-moksha-wsgi-1.2.2-2.el7.noarch python-oslo-concurrency-1.4.1-2.el7.noarch python-proliantutils-2.1.0-1.el7.noarch python-pylons-1.0.1-2.el7.noarch python-tahrir-0.8.2-1.el7.noarch python-tahrir-0.9.0-1.el7.noarch python-tooz-0.9-1.el7.noarch python2-abclient-0.2.3-4.el7.noarch python2-cotyledon-tests-1.2.7-2.el7.noarch python2-pyfakefs-3.1-1.el7.noarch python2-staplelib-0.3.3-8.el7.noarch python3-yamlordereddictloader-0.3.0-1.el7.noarch rubygem-apipie-bindings-0.0.10-2.el7.noarch simcrs-1.01.1-2.el7.x86_64 slim-1.3.6-6.el7.x86_64 spacefm-Faenza-1.0.5-2.el7.noarch unifont-viewer-9.0.06-2.el7.noarch workrave-xfce-1.10.10-1.el7.x86_64

I think some of the packages are being pulled: (ceph) and some need rebuilds. I would like to get these cleaned up during the Flock next week.

Unfortunately the usual rawhide/branched style nag reports are hard here (similar to stable updates/testing) but I think a automated monthly report would be useful